Class Index | File Index

## Classes

- _global_
- Array
- Boolean
- Date
- Function
- javascript.ASTManager
- javascript.Indexer
- javascript.JavaScriptOccurrences
- javascript.JSOutliner
- javascript.Summary
- Object
- org.eclipse.orion.client.cf.CFService
- orion.breadcrumbs.BreadCrumbs
- orion.browse.FileBrowser
- orion.browse.FileBrowserOptions
- orion.BrowseView
- orion.cm.Configuration
- orion.cm.ConfigurationAdmin
- orion.cm.ConfigurationProperties
- orion.cm.ManagedService
- orion.commandregistry.CommandRegistry
- orion.commandregistry.ParameterCollector
- orion.commands.Command
- orion.commands.CommandInvocation
- orion.commands.CommandParameter
- orion.commands.ParametersDescription
- orion.commands.URLBinding
- orion.compare.CompareCommandFactory
- orion.compare.CompareSyntaxHighlighter
- orion.compare.CompareView
- orion.compare.CompareViewOptions
- orion.compare.DiffProvider
- orion.compare.FileOptions
- orion.compare.rulers.CompareRuler
- orion.compare.rulers.LineNumberCompareRuler
- orion.compare.toggleableCompareView
- orion.compare.TwoWayCompareView
- orion.compareUtils
- orion.core.ContentType
- orion.core.ContentTypeRegistry
- orion.core.TypeDef
- orion.core.TypeDefProperties
- orion.core.TypeDefRegistry
- orion.Deferred
- orion.dialogs.DialogService
- orion.DiffTreeNavigator.DiffTreeNavigator
- orion.DiffTreeNavigator.inlineDiffBlockFeeder
- orion.DiffTreeNavigator.TwoWayDiffBlockFeeder
- orion.edit.Dispatcher
- orion.edit.EditorContext
- orion.editor.ActionDescription
- orion.editor.Annotation
- orion.editor.AnnotationIterator
- orion.editor.AnnotationModel
- orion.editor.AnnotationRuler
- orion.editor.AnnotationStyler
- orion.editor.AnnotationType
- orion.editor.AnnotationTypeList
- orion.editor.AsyncStyler
- orion.editor.BaseEditor
- orion.editor.BlurEvent
- orion.editor.ContentAssist
- orion.editor.ContentAssistMode
- orion.editor.ContentAssistProvider
- orion.editor.ContentAssistProvider.Context
- orion.editor.ContentAssistProviderInfo
- orion.editor.ContentAssistWidget
- orion.editor.ContextMenuEvent
- orion.editor.CssContentAssistProvider
- orion.editor.DestroyEvent
- orion.editor.EditOptions
- orion.editor.Editor
- orion.editor.EventTarget
- orion.editor.FindIterator
- orion.editor.FindOptions
- orion.editor.FocusEvent
- orion.editor.FoldingAnnotation
- orion.editor.HTMLContentAssistProvider
- orion.editor.InputManager
- orion.editor.KeyEvent
- orion.editor.LineNumberRuler
- orion.editor.LineStyleEvent
- orion.editor.ModelChangedEvent
- orion.editor.ModelChangingEvent
- orion.editor.ModifyEvent
- orion.editor.OverviewRuler
- orion.editor.Projection
- orion.editor.ProjectionTextModel
- orion.editor.Ruler
- orion.editor.ScrollEvent
- orion.editor.Selection
- orion.editor.SelectionEvent
- orion.editor.Style
- orion.editor.StyleRange
- orion.editor.StyleReadyEvent
- orion.editor.StyleReadyEvent#LineStyle
- orion.editor.TextChange
- orion.editor.TextMateStyler
- orion.editor.TextModel
- orion.editor.TextTheme
- orion.editor.TextView
- orion.editor.TextViewOptions
- orion.editor.TextViewShowOptions
- orion.editor.ThemeChangedEvent
- orion.editor.ThemeStyleSheet
- orion.editor.UndoStack
- orion.editor.VerifyEvent
- orion.EditorView
- orion.EventTarget
- orion.explorer.Explorer
- orion.explorer.ExplorerFlatModel
- orion.explorer.ExplorerModel
- orion.explorer.FileExplorer
- orion.explorer.FileExplorer.ModelHandler
- orion.explorer.NavigatorRenderer
- orion.explorer.SelectionRenderer
- orion.explorerNavHandler.ExplorerNavDict
- orion.explorerNavHandler.ExplorerNavHandler
- orion.extensionCommands
- orion.fileClient.FileClient
- orion.fileCommands
- orion.fileUtils
- orion.FolderView
- orion.form
- orion.git.GitCommitExplorer
- orion.git.GitLogExplorer
- orion.git.GitRepositoryExplorer
- orion.git.GitReviewRequestExplorer
- orion.git.GitService
- orion.git.GitStatusExplorer
- orion.git.widgets.OpenCommitDialog
- orion.globalCommands
- orion.highlight.SyntaxHighlighter
- orion.KeyBinding
- orion.KeySequence
- orion.KeyStroke
- orion.links.TextLinkService
- orion.log.LogService
- orion.metatype.AttributeDefinition
- orion.metatype.MetaTypeRegistry
- orion.metatype.ObjectClassDefinition
- orion.mirror.CodeMirrorStyler
- orion.mirror.Mirror
- orion.mirror.MirrorLineStyle
- orion.mirror.ModeApplier
- orion.navoutliner.NavigationOutliner
- orion.objects
- orion.operation
- orion.outliner.Outliner
- orion.outliner.OutlineService
- orion.PageLinks
- orion.PageLinks.PageLinksInfo
- orion.parametercollectors.CommandParameterCollector
- orion.pluginregistry.Plugin
- orion.pluginregistry.PluginRegistry
- orion.preferences.Preferences
- orion.preferences.PreferencesService
- orion.problems.ProblemService
- orion.profile.usersClient.UsersClient
- orion.progress.ProgressService
- orion.projectClient.ProjectClient
- orion.Promise
- orion.ReadonlyEditorView
- orion.regex
- orion.search.AdvSearchOptRenderer
- orion.searchClient.Searcher
- orion.searches.SavedSearches
- orion.Searches.SearchBuilder
- orion.Searches.SearchList
- orion.searchResults.SearchResultsGenerator
- orion.searchUtils
- orion.searchUtils.SearchParams
- orion.selection.Selection
- orion.serviceregistry.ServiceEvent
- orion.serviceregistry.ServiceReference
- orion.serviceregistry.ServiceRegistration
- orion.serviceregistry.ServiceRegistry
- orion.ServiceTracker
- orion.settings.Setting
- orion.settings.SettingsRegistry
- orion.settings.ui.PropertyWidget
- orion.shell.Command
- orion.shell.Parameter
- orion.shell.ParameterType
- orion.shell.Shell
- orion.sidebar.MiniNavViewMode
- orion.sidebar.ProjectNavViewMode
- orion.sidebar.Sidebar
- orion.sidebar.ViewMode
- orion.sites.SiteClient
- orion.sites.SiteConfiguration
- orion.sites.SiteEditor
- orion.sites.SiteService
- orion.sites.ViewOnSiteTree
- orion.status.StatusReportingService
- orion.SyntaxChecker
- orion.tasks.TaskList
- orion.TreeModelIterator.TreeModelIterator
- orion.treetable.TableTree
- orion.uiUtils
- orion.URITemplate
- orion.webui.contextmenu.ContextMenu
- orion.webui.dialogs.ConfirmDialog
- orion.webui.dialogs.OpenResourceDialog
- orion.webui.dialogs.OperationsDialog
- orion.webui.dialogs.PromptDialog
- orion.webui.littlelib
- orion.webui.Splitter
- orion.widgets.browse.ResourceSelector
- orion.widgets.Filesystem.FilesystemSwitcher
- orion.widgets.Section
- orion.widgets.settings.SplitSelectionLayout
- orion.xhr
- orion.xhr.Result
- String

# Class orion.pluginregistry.PluginRegistry

The Orion plugin registry
Defined in: </jobs/genie.eclipse.orion/orion-client/workspace/bundles/org.eclipse.orion.client.core/web/orion/pluginregistry.js>.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| orion.pluginregistry.PluginRegistry(serviceRegistry, opt_storage, opt_visible) Creates a new plugin registry.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| getPlugin() Returns the installed plugin with the given URL.
| getPlugins() Returns all installed plugins.
| installPlugin(url, optManifest) Installs the plugin at the given location into the plugin registry.
| start() Starts the plugin registry.
| stop() Shuts down the plugin registry.

Event Summary
Event Attributes | Event Name and Description
--- | ---
| installed() Dispatched when a plugin has been installed.
| lazy_activation() Dispatched when a plugin is starting due to a lazy activation.
| resolved() Dispatched when a plugin has been resolved.
| started() Dispatched when a plugin is started.
| starting() Dispatched when a plugin is starting.
| stopped() Dispatched when a plugin is stopped.
| stopping() Dispatched when a plugin is stopping.
| uninstalled() Dispatched when a plugin has been uninstalled.
| updated() Dispatched when a plugin has been updated.

Class Detail
orion.pluginregistry.PluginRegistry(serviceRegistry, opt_storage, opt_visible)
Creates a new plugin registry. The plugin registry maintains a list of orion.pluginregistry.Plugins, which can provide services to the given `serviceRegistry`.

The plugin registry dispatches plugin events when one of its plugins changes state. Each such event contains a `plugin` field giving the affected orion.pluginregistry.Plugin.

Parameters:
{orion.serviceregistry.ServiceRegistry} serviceRegistry
  The service registry to register plugin-provided services with.
{Object} opt_storage Optional, Default: localStorage
  Target object to read and write plugin metadata from.
{Boolean} opt_visible Optional, Default: false
  Whether a loaded plugin's iframe will be displayed. By default it is not displayed.

Method Detail
{orion.pluginregistry.Plugin} getPlugin()
Returns the installed plugin with the given URL.

Returns:
  {orion.pluginregistry.Plugin} The installed plugin matching the given URL, or `null` if no such plugin is installed.

{orion.pluginregistry.Plugin[]} getPlugins()
Returns all installed plugins.

Returns:
  {orion.pluginregistry.Plugin[]} An array of all installed plugins.

{orion.Promise} installPlugin(url, optManifest)
Installs the plugin at the given location into the plugin registry.

Parameters:
{String} url
  The location of the plugin.
{Object} optManifest Optional
  The plugin metadata.

Returns:
  {orion.Promise} A promise that will resolve when the plugin has been installed.

{orion.Promise} start()
Starts the plugin registry.

Returns:
  {orion.Promise} A promise that will resolve when the registry has been fully started.

{orion.Promise} stop()
Shuts down the plugin registry.

Returns:
  {orion.Promise} A promise that will resolve when the registry has been stopped.

Event Detail
installed()
Dispatched when a plugin has been installed. The type of this event is `"installed"`.

lazy_activation()
Dispatched when a plugin is starting due to a lazy activation. The type of this event is `"lazy activation"`.

resolved()
Dispatched when a plugin has been resolved. The type of this event is `"resolved"`.

started()
Dispatched when a plugin is started. The type of this event is `"started"`.

starting()
Dispatched when a plugin is starting. The type of this event is `"starting"`.

stopped()
Dispatched when a plugin is stopped. The type of this event is `"stopped"`.

stopping()
Dispatched when a plugin is stopping. The type of this event is `"stopping"`.

uninstalled()
Dispatched when a plugin has been uninstalled. The type of this event is `"uninstalled"`.

updated()
Dispatched when a plugin has been updated. The type of this event is `"updated"`.

Documentation generated by JsDoc Toolkit 2.4.0 on Mon May 05 2014 22:06:16 GMT-0400 (EDT)